#ifndef KUCCI_H
#define KUCCI_H

#include "strategy.h"

class Kucci : public Strategy { 
private:
	int counter;
	int last;
public:
	Kucci(): counter(100), last(COOPERATE) {}
	
	virtual int operator()() {
		if(!--counter){
			// v poslednim tahu podvedeme
			return DECEIVE;
		}else{
			return   last;
		}
	}

	virtual void reset(){
		counter = 100;
		last = COOPERATE;
	}

	virtual void reward(int _reward) {
		if (_reward == CC || _reward == DC) 
			last = COOPERATE;
          	else 
			last = DECEIVE;
	}

	virtual string getName() { return "Kucci"; }  // pojmenujte si ji  
}; 

#endif


